angular.module('alamosApp')
  .controller('OverviewCtrl', function ($scope, $location, $interval, $log, $http, $rootScope) {
  $scope.isAutoUpdateActive = false;
  
    $scope.autoUpdate = function(){
      
      var isFirstTime = !$scope.isAutoUpdateActive;
      
      $scope.isAutoUpdateActive = true;
      
      if ($scope.isAutoUpdateActive && isFirstTime){
        $interval($scope.updateOverview, 10*1000);
      }
    };

    $scope.updateOverview = function () {
      $scope.isLoading = true;
      $http.get('../overview?password=' + $rootScope.password).
      success(function (data) {
          $log.log(data);

          $scope.data = data;
          $scope.isLoading = false;
          $scope.invalidLogin = false;
        })
        .error(function (data, status, headers, config) {
          $scope.isLoading = false;
          if (status === 403) {
            //Wrong password
            $scope.invalidLogin = true;
          } else {
            $scope.errorMessage = "Ein unbekannter Fehler ist aufgetreten: " + status;
          }
        });
    };


  
  
          if (angular.isDefined($location.search().password)){
              $rootScope.password = $location.search().password;
          }

    $scope.updateOverview();

  });