angular.module('alamosApp')
  .controller('StreamingCtrl', function ($scope, $location, $interval, $log, $http, $rootScope, $location) {
  
  $rootScope.mode = 30;

  
  if (angular.isDefined($location.search().password)){
      $rootScope.password = $location.search().password;
  }
  
  if (angular.isDefined($location.search().mode)){
      $rootScope.mode = parseInt($location.search().mode);
  }
  
  
  $scope.source = '/streaming?password=' + $rootScope.password;
  
  if (angular.isDefined($rootScope.password)){
    $location.search('password', $rootScope.password);
  }
  
    $scope.switchMode = function(inter){
      $rootScope.mode = inter;
      $interval.cancel($scope.interv);
      $interval($scope.update, $rootScope.mode*1000);
      $location.search('mode', inter);
    };
  
  $scope.back = function(){
    $location.path('/status');
  };

    $scope.update = function () {
      $log.log('Updated');
      $scope.source = '/streaming?password=' + $rootScope.password + '&unique=' + (new Date()).getTime();
    };
  
    $scope.interv = $interval($scope.update, $rootScope.mode*1000);
  });