angular.module('alamosApp')
	.controller('TickerCtrl', function($scope, $location, $log, $http, $rootScope) {

    
    $scope.updateTicker = function() {
        $scope.newData = "";
			$scope.isLoading = true;
			$http.get('../ticker?password=' + $rootScope.password).
			success(function(data) {
				$log.log(data);
				$scope.data = data;
				$scope.isLoading = false;
                $scope.invalidLogin = false;
			})
			.error(function(data, status, headers, config){
				$scope.isLoading = false;
				if (status === 403){
					//Wrong password
					$scope.invalidLogin = true;
				}else{
					$scope.errorMessage = "Ein unbekannter Fehler ist aufgetreten: " + status;
				}
			});
		};
    
    $scope.save = function(){
			$scope.isLoading = true;
        var data = $scope.data;
        data.default = $scope.newData;
			$http.post('../ticker?password=' + $rootScope.password, data).
			success(function(data) {
				$scope.isLoading = false;
                $scope.updateTicker();
			})
			.error(function(data, status, headers, config){
				$scope.isLoading = false;
				if (status === 403){
					//Wrong password
					$scope.invalidLogin = true;
				}else{
					$scope.errorMessage = "Ein unbekannter Fehler ist aufgetreten: " + status;
				}
			});
		};
  
  
          if (angular.isDefined($location.search().password)){
              $rootScope.password = $location.search().password;
          }
    
    $scope.updateTicker();
    
});